[tool.poetry]
name = "grandnational-dashboard"
version = "0.1.0"
description = ""
authors = ["dtomlinson <dtomlinson@panaetius.co.uk>"]

[tool.poetry.dependencies]
python = "^3.6"
uvicorn = "^0.11.3"
fastapi = "^0.49.0"
requests = "^2.22"
jinja2 = "^2.11"
aiofiles = "^0.4.0"

[tool.poetry.dev-dependencies]
pytest = "^3.0"
python-language-server = "^0.31.8"
Rope = "^0.16.0"
Pyflakes = "^2.1.1"
McCabe = "^0.6.1"
pycodestyle = "^2.5.0"
pydocstyle = "^5.0.2"
autopep8 = "^1.5"
YAPF = "^0.29.0"
pudb = "^2019.2"
pyls-black = "^0.4.4"

[build-system]
requires = ["poetry>=0.12"]
build-backend = "poetry.masonry.api"
